# Embedded Payments API

The API allows a POS to accept Embedded Payments payments.


Version: 1.0

## Servers

Production
```
https://api.tyro.com/connect
```

## Security

### JWT

Type: openIdConnect
OpenID Connect URL: https://auth.connect.tyro.com/.well-known/openid-configuration

## Download OpenAPI description

[Embedded Payments API](https://docs.connect.tyro.com/_bundle/pos/apis/embedded-payments/1.0/index.yaml)

## Merchants

### Authorise a Sandbox Merchant Id

 - [POST /tap-to-pay/merchants/{merchantId}/authorise/test](https://docs.connect.tyro.com/pos/apis/embedded-payments/1.0/merchants/authorise-embedded-payments-mid-test.md): For testing purposes only. Authorise or de-authorise your POS on behalf of the provided merchant for testing on the Sandbox environment only.

### Lists merchants

 - [GET /tap-to-pay/merchants](https://docs.connect.tyro.com/pos/apis/embedded-payments/1.0/merchants/list-embedded-payments-merchants.md): This endpoint is used for retrieving a list of merchants that the POS has access to.

### Fetch a merchant

 - [GET /tap-to-pay/merchants/{merchantId}](https://docs.connect.tyro.com/pos/apis/embedded-payments/1.0/merchants/fetch-embedded-payments-merchant.md): This endpoint is used for retrieving a merchant.

## Locations

### List Embedded Payments Locations

 - [GET /tap-to-pay/merchants/{merchantId}/locations](https://docs.connect.tyro.com/pos/apis/embedded-payments/1.0/locations/list-embedded-payments-locations.md): Retrieve the list of location IDs attached to a Tyro Merchant ID. A location ID represents the physical location from which a payment originates and is required in order to create the Reader

## Connections

### Create Embedded Payments connection

 - [POST /tap-to-pay/connections](https://docs.connect.tyro.com/pos/apis/embedded-payments/1.0/connections/create-embedded-payments-connection.md): When your App is first initialised, a request is sent to your server to establish a Tyro Embedded Payments connection. This is required to connect to the Embedded Payments reader. Upon receiving the client request, authenticate your user and send the request to Tyro with the readerId in the request body.

## Readers

### List Readers

 - [GET /tap-to-pay/merchants/{merchantId}/readers](https://docs.connect.tyro.com/pos/apis/embedded-payments/1.0/readers/list-reader.md): This endpoint is used for retrieving a list of Readers. Readers represent the Embedded Payments Reader at the physical location. The Reader ID is required to create a Reader Connection to initialise the Tyro Embedded Payments SDK.

### Create a Reader

 - [POST /tap-to-pay/merchants/{merchantId}/readers](https://docs.connect.tyro.com/pos/apis/embedded-payments/1.0/readers/create-reader.md): An async endpoint used for creating a Reader. Register a webhook to be notified when a Reader is created after this endpoint is invoked. Readers represent the Embedded Payments Reader at the physical location. The Reader ID is required to create a Reader Connection to initialise the Tyro Embedded Payments SDK.

### Get a Reader

 - [GET /tap-to-pay/merchants/{merchantId}/readers/{readerId}](https://docs.connect.tyro.com/pos/apis/embedded-payments/1.0/readers/get-reader.md): This endpoint is used for retrieving a Reader. Readers represent the Embedded Payments Reader at the physical location. The Reader ID is required to create a Reader Connection to initialise the Tyro Embedded Payments SDK

## Transactions

### Fetch an Embedded Payments transaction

 - [GET /tap-to-pay/merchants/{merchantId}/transactions/{transactionId}](https://docs.connect.tyro.com/pos/apis/embedded-payments/1.0/transactions/get-embedded-payments-transaction.md): This endpoint is used for retrieving an Embedded Payments transaction.

### List Embedded Payments transactions

 - [GET /tap-to-pay/merchants/{merchantId}/transactions](https://docs.connect.tyro.com/pos/apis/embedded-payments/1.0/transactions/list-embedded-payments-transactions.md): This endpoint is used for retrieving Embedded Payments transactions by search.

